> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vecurity.net/llms.txt
> Use this file to discover all available pages before exploring further.

# [GET] Get Traffic Analytics

> The purpose of this endpoint is to list the daily aggregated traffic analytics. When record_id is not supplied (filter), all records will be returned.

<Info>
  **Prerequisite:**&#x20;

  Please ensure you have read the VISE Overview before proceeding as the API endpoint is based on your VISE url which is dynamic.

  Where vise-url is mentioned, we are referring to your actual VISE domain, not 'vise-url'. Explained in the VISE overview.
</Info>

<Warning>
  All requests to the Vecurity VISE API requires Session creation in tandem with your Vecurity API token in order to make use of the API Endpoints. More details can be found the [VISE Authentication](/api-reference/endpoint/vecurity-vise/vise-authentication) page.

  If you require support here, please get in touch with our Live chat or [support@vecurity.net](mailto:support@vecurity.net)
</Warning>

#### HTTP Endpoint `GET`

```
https://{VISE-URL}/api/traffic_analytics
```

#### Headers

```
Authorization: Bearer {your_api_token}
```

#### Query Parameters

```
Authorization: Bearer {your_api_token}
- domain_id - String (required) - A unique GUID identifier for a domain.
- record_id - String (required) - A unique GUID identifier for a record.
```

#### Endpoint Description

The purpose of this endpoint is to list the daily aggregated traffic analytics. When record\_id is not supplied (filter), all records will be returned.

#### Response Example

<CodeGroup>
  ```json 200 theme={null}
  {
    "data": [
      {
        "data_served": 1234567,
        "http_host": "dns1.domain.com",
        "record_id": "xxxxxxxxxxxxxxxxxxxxxxxxxx",
        "request_date": "YYYY-MM-DDTHH:MM:SS UTC",
        "total_requests": 123,
        "unique_http_referer": 45,
        "unique_status_code": 2,
        "unique_user_agents": 1,
        "unique_vistors": 22
      },
      {
        "data_served": 1234567,
        "http_host": "dns2.domain.com",
        "record_id": "xxxxxxxxxxxxxxxxxxxxxxxxxx",
        "request_date": "YYYY-MM-DDTHH:MM:SS UTC",
        "total_requests": 123,
        "unique_http_referer": 45,
        "unique_status_code": 2,
        "unique_user_agents": 1,
        "unique_vistors": 22
      }
    ],
    "message": "Successfully retrieved data",
    "status_code": 200,
    "timestamp": "YYYY-MM-DDTHH:MM:SS UTC"
  }
  ```
</CodeGroup>
